Advertisement:

Author Topic: Error al actualizar 2.0.14  (Read 1737 times)

Offline Natalia66

  • Jr. Member
  • **
  • Posts: 175
    • El sitio de mi recreo
Re: Error al actualizar 2.0.14
« Reply #20 on: September 29, 2017, 09:25:15 AM »
No eliminé nada ¿hay que eliminarlo? y porqué habría que eliminarlo?

No sé si es ésto lo que me dices...pero yo ahí te lo dejo,si no es cualquier cosa me comentas porfa y mil gracias!!!!
"Nunca discutas con un imbécil, te hará descender a su nivel y allí te ganará por experiencia. "

Versión 2.0.13
www.elsitiodemirecreo.net

Offline Gluz

  • Local Moderator
  • Sr. Member
  • *
  • Posts: 923
  • Gender: Male
Re: Error al actualizar 2.0.14
« Reply #21 on: September 29, 2017, 04:37:06 PM »
Ya veo, al tener la búsqueda restringida solo a usuarios registrados no permite hacer búsquedas pero si llega a la sección porque en el tema está el apartado de búsqueda rápida en la parte superior, y eso lo usan algunos bots para revisar contenido, o los visitantes para ver que hay disponible.

Lo que se puede hacer es ocultar esa sección a los visitantes para que no salga y no la usen, así no tendrás tantos mensajes en el log de errores, pero esos errores que contienen éstas líneas se pueden ignorar:
Code: [Select]
Tipo de error: Indefinido
http://www.elsitiodemirecreo.net/index.php?action=search2
8: Undefined index: title
Archivo: /home/elsitio1/public_html/Themes/default/index.template.php
Línea: 456

Tipo de error: Indefinido
http://www.elsitiodemirecreo.net/index.php?action=search2
8: Undefined index: href
Archivo: /home/elsitio1/public_html/Themes/default/index.template.php
Línea: 455

Si no quieres que aparezcan, adjunta el index.template.php del tema que usas para agregarle esa parte.


Y revisando el Subs.php modifiqué un poco el código para que se pueda instalar la actualización 2.0.14, siempre y cuando lo que falle solo sean el paso 2 y 3 del archivo Subs.php, ya que al estar instalado un MOD que cambia esa parte, no se puede dejar como lo requiere el paquete de actualización, pero lo he adaptado para que ya tenga esos pasos insertados y que funcione el MOD correctamente, solo tienes que instalar la actualización después de subir este archivo al FTP de tu foro.
Need help with PHP, HTML, CSS, Themes or MODs?

Quote
Think in spanish, habla en inglés.

Offline Natalia66

  • Jr. Member
  • **
  • Posts: 175
    • El sitio de mi recreo
Re: Error al actualizar 2.0.14
« Reply #22 on: October 02, 2017, 03:03:16 AM »
Subo ése y borro el otro o no hace falta?

Te lo paso por si acaso

"Nunca discutas con un imbécil, te hará descender a su nivel y allí te ganará por experiencia. "

Versión 2.0.13
www.elsitiodemirecreo.net

Offline Gluz

  • Local Moderator
  • Sr. Member
  • *
  • Posts: 923
  • Gender: Male
Re: Error al actualizar 2.0.14
« Reply #23 on: October 02, 2017, 02:43:54 PM »
Si, reemplaza el que está en el FTP por el que adjunté.

Aquí está el index con la búsqueda deshabilitada para Visitantes, con eso ya no deberían salir esos errores.


Ahora ya podrías instalar la actualización 2.0.14, recuerda, solo continuar si los únicos pasos que fallan son el 2 y 3 del archivo Subs.php, ya que eso ya está editado para tu foro.
Need help with PHP, HTML, CSS, Themes or MODs?

Quote
Think in spanish, habla en inglés.

Offline Natalia66

  • Jr. Member
  • **
  • Posts: 175
    • El sitio de mi recreo
Re: Error al actualizar 2.0.14
« Reply #24 on: October 02, 2017, 06:28:01 PM »
OK,pruebo y con lo que sea ya te diré.Gracias!!!!!
"Nunca discutas con un imbécil, te hará descender a su nivel y allí te ganará por experiencia. "

Versión 2.0.13
www.elsitiodemirecreo.net

Offline Natalia66

  • Jr. Member
  • **
  • Posts: 175
    • El sitio de mi recreo
Re: Error al actualizar 2.0.14
« Reply #25 on: October 03, 2017, 03:18:08 AM »
Te cuento que al poner el archivo Index no me deja entrar en la Administración,me sale Unable to load Themes/default/index.template.php así que lo he quitado y he intentado actualizar y me pasa lo mismo,me da fallo en los mismos sitios

Quote
   10.   Ejecutar Modificación   ./Sources/Subs.php   Prueba fallida
   1.   Reemplazar   ./Sources/Subs.php   Éxito
   2.   Reemplazar   ./Sources/Subs.php   Prueba fallida
   3.   Reemplazar   ./Sources/Subs.php   Prueba fallida

Lo demás bien
"Nunca discutas con un imbécil, te hará descender a su nivel y allí te ganará por experiencia. "

Versión 2.0.13
www.elsitiodemirecreo.net

Offline Gluz

  • Local Moderator
  • Sr. Member
  • *
  • Posts: 923
  • Gender: Male
Re: Error al actualizar 2.0.14
« Reply #26 on: October 03, 2017, 05:24:43 PM »
Oh, pues entonces deja el index que tenías e instala la actualización, como dije, el error de esa parte no es crítico, y se puede ignorar.

Y lo de la actualización, instala aún con esos errores, ya que esos están modificados pero el instalador no los detecta por otro MOD que tienes instalado, pero una vez instalado funcionará correctamente.
Need help with PHP, HTML, CSS, Themes or MODs?

Quote
Think in spanish, habla en inglés.

Offline Natalia66

  • Jr. Member
  • **
  • Posts: 175
    • El sitio de mi recreo
Re: Error al actualizar 2.0.14
« Reply #27 on: October 04, 2017, 01:13:26 PM »
Ok,ya está actualizado y que sea lo que Dios quiera

Entonces no hay forma de evitar esos fallos no?

Te repito...mil gracias por todo
"Nunca discutas con un imbécil, te hará descender a su nivel y allí te ganará por experiencia. "

Versión 2.0.13
www.elsitiodemirecreo.net

Offline Gluz

  • Local Moderator
  • Sr. Member
  • *
  • Posts: 923
  • Gender: Male
Re: Error al actualizar 2.0.14
« Reply #28 on: October 04, 2017, 05:35:18 PM »
No, al estar tu foro cerrado a solo usuarios registrados, esa parte del menú no debería salir, pero al estar en la sección de búsqueda por la URL da el error ese.

Solo se me ocurre una cosa mas que hacer, pero no estoy seguro si funciona como estoy pensando, tengo que revisar el código y luego te pongo si hay que hacer un cambio o no.


La parte de la actualización a 2.0.14 ¿ya quedó completa y todo funciona bien? ¿no te salen errores aparte de los del menú?
Need help with PHP, HTML, CSS, Themes or MODs?

Quote
Think in spanish, habla en inglés.

Offline Natalia66

  • Jr. Member
  • **
  • Posts: 175
    • El sitio de mi recreo
Re: Error al actualizar 2.0.14
« Reply #29 on: October 05, 2017, 06:55:27 AM »
OK...como tú lo veas

Entonces si un día abro el foro se supone que se irá ese error?

Sip....completa y sólo errores de visitantes.Hay dos tipos

 Visitante
 IP 151.237.189.8   
 03 de octubre de 2017, 13:08:17 pm
Aplicar filtro: Mostrar sólo los mensajes de error de esta sesion 6bf82e93a2caac743a0c479248c9d069
 Tipo de error: Indefinido
Aplicar filtro: Mostrar sólo los mensajes de error de esta URL http://www.elsitiodemirecreo.net/index.php?action=search2
Aplicar filtro: Solamente muestra los errores con el mismo mensaje8: Undefined index: href
Archivo: /home/elsitio1/public_html/Themes/default/index.template.php
Línea: 455

 Visitante
 IP 151.237.189.8   
 03 de octubre de 2017, 13:08:17 pm
Aplicar filtro: Mostrar sólo los mensajes de error de esta sesion 6bf82e93a2caac743a0c479248c9d069
Tipo de error: Indefinido
Aplicar filtro: Mostrar sólo los mensajes de error de esta URL http://www.elsitiodemirecreo.net/index.php?action=search2
Aplicar filtro: Solamente muestra los errores con el mismo mensaje8: Undefined index: title
 Archivo: /home/elsitio1/public_html/Themes/default/index.template.php
Línea: 456
"Nunca discutas con un imbécil, te hará descender a su nivel y allí te ganará por experiencia. "

Versión 2.0.13
www.elsitiodemirecreo.net

Offline Gluz

  • Local Moderator
  • Sr. Member
  • *
  • Posts: 923
  • Gender: Male
Re: Error al actualizar 2.0.14
« Reply #30 on: October 05, 2017, 05:19:43 PM »
Estando el foro y las búsquedas abiertas a visitantes ya no debe salir ese error.

Y el cambio que tenía pensado si funciona, en el archivo Subs.php:
Code: (Buscar) [Select]
elseif ($context['current_action'] == 'search2')
Code: (Reemplazar con) [Select]
elseif ($context['current_action'] == 'search2' && !$user_info['is_guest'])
Con eso, no impide que vayan a la búsqueda, pero si que el menú intente poner como el elemento activo el botón de búsqueda.


Y el tema principal de este hilo ya está resuelto, así que marcaré el tema como resuelto.
Need help with PHP, HTML, CSS, Themes or MODs?

Quote
Think in spanish, habla en inglés.

Offline Natalia66

  • Jr. Member
  • **
  • Posts: 175
    • El sitio de mi recreo
Re: Error al actualizar 2.0.14
« Reply #31 on: October 06, 2017, 01:08:53 PM »
Ya lo he hecho....espero que no salga más,con lo que sea ya te comentaré.

De nuevo mil gracias por todo (y por la santa paciencia)
"Nunca discutas con un imbécil, te hará descender a su nivel y allí te ganará por experiencia. "

Versión 2.0.13
www.elsitiodemirecreo.net